%define module_name Search-Tools
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Class/XSAccessor.pm) perl(Data/Dump.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Encoding/FixLatin.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(IO/Uncompress/Bunzip2.pm) perl(IO/Uncompress/Gunzip.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Search/Query.pm) perl(Term/ANSIColor.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Text/Aspell.pm) perl(charnames.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.007
Release: alt4
Summary: high-performance tools for building search applications
Group: Development/Perl
License: perl
URL: https://github.com/karpet/search-tools-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARMAN/%{module_name}-%{version}.tar.gz

%description
As of version 1.000 Search::Tools uses the Moo manpage and the Class::XSAccessor manpage.

Search::Tools is a set of utilities for building search applications.
Rather than adhering to a particular search application or framework,
the goal of Search::Tools is to provide general-purpose methods for common
search application features. Think of Search::Tools like a toolbox
rather than a hammer.

Examples include:

=over

=item

Parsing search queries for the meaningful terms

=item

Rich regular expressions for locating terms in the original
indexed documents

=item

Contextual snippets showing query terms

=item

Highlighting of terms in context

=item

Spell check terms and suggestions of alternate spellings.

=back

Search::Tools is derived from some of the features in HTML::HiLiter
and SWISH::HiLiter, but has been re-written with an eye to accomodating
more general purpose features.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod example
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.007-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.007-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.007-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.007-alt1.1
- rebuild with perl 5.28.1

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.007-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.006-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.004-alt3
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.004-alt2
- rebuild to get rid of unmets

* Sat Mar 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.004-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.003-alt1.1
- rebuild with perl 5.22

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 1.003-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.002-alt2
- rebuild to get rid of unmets

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 1.002-alt1
- regenerated from template by package builder

* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 1.000-alt1
- initial import by package builder

